Bug 1340829 - erlang-eleveldb - FTBFS on secondary arches
Summary: erlang-eleveldb - FTBFS on secondary arches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-eleveldb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2016-05-30 11:24 UTC by Dan Horák
Modified: 2016-06-18 18:46 UTC (History)
2 users (show)

Fixed In Version: erlang-eleveldb-2.2.19-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:46:13 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-05-30 11:24:51 UTC
Current erlang-eleveldb 2.2 fails to build on all secondary arches due

...
+ make
cc -I. -I./include -fno-builtin-memcmp -pthread -DOS_LINUX -DLEVELDB_PLATFORM_POSIX -DSNAPPY  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 -fPIC -MM -E -MT port/port_posix.d -MT port/port_posix.o -MF port/port_posix.d port/port_posix.cc
In file included from ./port/port_posix.h:45:0,
                 from port/port_posix.cc:5:
./port/atomic_pointer.h:143:2: error: #error Please implement AtomicPointer for this platform.
 #error Please implement AtomicPointer for this platform.
  ^~~~~
...

The problem seems to be caused by the bundled leveldb 2.0.19 where it checks for <cstdatomic> in build_detect_platform while recent gcc 5.x or 6.x are providing <atomic>. See eg. https://github.com/google/leveldb/blob/master/build_detect_platform#L180

links to failed builds are eg.
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2244725
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3419255
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3573239

Version-Release number of selected component (if applicable):
erlang-eleveldb-2.2.19-1.fc25
but seems all version >= 2.2 have the same problem

Comment 1 Dan Horák 2016-06-03 08:55:29 UTC
upstream fix at https://github.com/basho/leveldb/pull/194

Comment 2 Fedora Update System 2016-06-03 09:17:18 UTC
erlang-eleveldb-2.2.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20b830da3d

Comment 3 Fedora Update System 2016-06-04 18:26:35 UTC
erlang-eleveldb-2.2.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20b830da3d

Comment 4 Fedora Update System 2016-06-18 18:46:11 UTC
erlang-eleveldb-2.2.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.